Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class DefaultWindDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.DefaultWindDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, WindDataset, XYDataset

public class DefaultWindDataset
extends AbstractXYDataset
implements WindDataset

A default implementation of the `WindDataset` interface.

Author:
  Achilleus Mantzios
See Also:
  Serialized Form

Constructor Summary
`DefaultWindDataset()` Constructs a new, empty, dataset.
`DefaultWindDataset(java.util.List seriesNames, java.lang.Object[][][] data)` Constructs a dataset based on the specified data.
`DefaultWindDataset(java.lang.Object[][][] data)` Constructs a dataset based on the specified data.
`DefaultWindDataset(java.lang.String[] seriesNames, java.lang.Object[][][] data)` Constructs a dataset based on the specified data.

Method Summary
`int` | `getItemCount(int series)` Returns the number of items in a series.
`int` | `getSeriesCount()` Returns the number of series in the dataset.
`java.lang.String` | `getSeriesName(int series)` Returns the name of a series.
`java.lang.Number` | `getWindDirection(int series, int item)` Returns the wind direction for one item within a series.
`java.lang.Number` | `getWindForce(int series, int item)` Returns the wind force for one item within a series.
`java.lang.Number` | `getXValue(int series, int item)` Returns the x-value for one item within a series.
`java.lang.Number` | `getYValue(int series, int item)` Returns the y-value for one item within a series.
`static java.util.List` | `seriesNameListFromDataArray(java.lang.Object[][] data)` Utility method for automatically generating series names.

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.XYDataset
`getX, getY`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultWindDataset

    public DefaultWindDataset()

  Constructs a new, empty, dataset.

### DefaultWindDataset

    public DefaultWindDataset(java.lang.Object[][][] data)

  Constructs a dataset based on the specified data.

Parameters:
  `data` - the data.

### DefaultWindDataset

    public DefaultWindDataset(java.lang.String[] seriesNames,
                              java.lang.Object[][][] data)

  Constructs a dataset based on the specified data.

Parameters:
  `seriesNames` - the names of the series.
  `data` - the wind data.

### DefaultWindDataset

    public DefaultWindDataset(java.util.List seriesNames,
                              java.lang.Object[][][] data)

  Constructs a dataset based on the specified data.

Parameters:
  `seriesNames` - the names of the series.
  `data` - the wind dataset.

Method Detail

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the dataset.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    The series count.

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in a series.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The item count.

### getSeriesName

    public java.lang.String getSeriesName(int series)

  Returns the name of a series.

  Specified by:
    `getSeriesName` in interface `SeriesDataset`
  Specified by:
    `getSeriesName` in class `AbstractSeriesDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The series name.

### getXValue

    public java.lang.Number getXValue(int series,
                                      int item)

  Returns the x-value for one item within a series. This should represent a point in time, encoded as milliseconds in the same way as java.util.Date.

  Specified by:
    `getXValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value for the item within the series.

### getYValue

    public java.lang.Number getYValue(int series,
                                      int item)

  Returns the y-value for one item within a series. This maps to the getWindForce(...) method and is implemented because WindDataset is an extension of XYDataset.

  Specified by:
    `getYValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The y-value for the item within the series.

### getWindDirection

    public java.lang.Number getWindDirection(int series,
                                             int item)

  Returns the wind direction for one item within a series. This is a number between 0 and 12, like the numbers on a clock face.

  Specified by:
    `getWindDirection` in interface `WindDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The wind direction for the item within the series.

### getWindForce

    public java.lang.Number getWindForce(int series,
                                         int item)

  Returns the wind force for one item within a series. This is a number between 0 and 12, as defined by the Beaufort scale.

  Specified by:
    `getWindForce` in interface `WindDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The wind force for the item within the series.

### seriesNameListFromDataArray

    public static java.util.List seriesNameListFromDataArray(java.lang.Object[][] data)

  Utility method for automatically generating series names.

  Parameters:
    `data` - the wind dataset.
  Returns:
    An array of Series N with N = { 1 .. data.length }.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD